> ## Documentation Index
> Fetch the complete documentation index at: https://docs.whop.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create notification

> Send a push notification to users in an experience or company team. The notification is processed asynchronously and supports targeting specific users.

Required permissions:
 - `notification:create`



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/whopsdk/openapi.documented.yml post /notifications
openapi: 3.1.0
info:
  title: Whop API
  description: >-
    The Whop REST API. Please see
    https://docs.whop.com/developer/api/getting-started for more details.
  termsOfService: https://whop.com/tos-developer-api/
  version: 1.0.0
servers:
  - url: https://api.whop.com/api/v1
    description: Production Whop API
security: []
tags:
  - name: Products
    description: Products
  - name: Plans
    description: Plans
  - name: Payments
    description: Payments
  - name: Refunds
    description: Refunds
  - name: Disputes
    description: Disputes
  - name: Dispute alerts
    description: Dispute alerts
  - name: Resolution center cases
    description: Resolution center cases
  - name: Checkout configurations
    description: Checkout configurations
  - name: Setup intents
    description: Setup intents
  - name: Payment methods
    description: Payment methods
  - name: Invoices
    description: Invoices
  - name: Promo codes
    description: Promo codes
  - name: Card transactions
    description: Card transactions
  - name: Ledger accounts
    description: Ledger accounts
  - name: Transfers
    description: Transfers
  - name: Withdrawals
    description: Withdrawals
  - name: Payout methods
    description: Payout methods
  - name: Verifications
    description: Verifications
  - name: Payout accounts
    description: Payout accounts
  - name: Topups
    description: Topups
  - name: Users
    description: Users
  - name: Companies
    description: Companies
  - name: Authorized users
    description: Authorized users
  - name: Fee markups
    description: Fee markups
  - name: Members
    description: Members
  - name: Memberships
    description: Memberships
  - name: Leads
    description: Leads
  - name: Entries
    description: Entries
  - name: Shipments
    description: Shipments
  - name: Reviews
    description: Reviews
  - name: Company token transactions
    description: Company token transactions
  - name: Affiliates
    description: Affiliates
  - name: Experiences
    description: Experiences
  - name: Forums
    description: Forums
  - name: Forum posts
    description: Forum posts
  - name: Chat channels
    description: Chat channels
  - name: Support channels
    description: Support channels
  - name: Messages
    description: Messages
  - name: Reactions
    description: Reactions
  - name: Dm members
    description: Dm members
  - name: Dm channels
    description: Dm channels
  - name: Notifications
    description: Notifications
  - name: Courses
    description: Courses
  - name: Course chapters
    description: Course chapters
  - name: Course lessons
    description: Course lessons
  - name: Course students
    description: Course students
  - name: Course lesson interactions
    description: Course lesson interactions
  - name: Apps
    description: Apps
  - name: Webhooks
    description: Webhooks
  - name: App builds
    description: App builds
  - name: Access tokens
    description: Access tokens
  - name: Account links
    description: Account links
  - name: Files
    description: Files
  - name: Ai chats
    description: Ai chats
  - name: Bounties
    description: Bounties
  - name: Stats
    description: Stats
  - name: Ad campaigns
    description: Ad campaigns
  - name: Ad groups
    description: Ad groups
  - name: Ads
    description: Ads
  - name: Conversions
    description: Conversions
paths:
  /notifications:
    post:
      tags:
        - Notifications
      summary: Create notification
      description: >-
        Send a push notification to users in an experience or company team. The
        notification is processed asynchronously and supports targeting specific
        users.


        Required permissions:
         - `notification:create`
      operationId: createNotification
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              oneOf:
                - type: object
                  properties:
                    company_id:
                      type: string
                      description: >-
                        The unique identifier of the company to target. Only
                        team members of this company will receive the
                        notification. Clicking the notification opens your
                        dashboard app view.
                      example: biz_xxxxxxxxxxxxxx
                    user_ids:
                      type:
                        - array
                        - 'null'
                      items:
                        type: string
                        description: >-
                          Represents a unique identifier that is Base64
                          obfuscated. It is often used to refetch an object or
                          as key for a cache. The ID type appears in a JSON
                          response as a String; however, it is not intended to
                          be human-readable. When expected as an input type, any
                          string (such as `"VXNlci0xMA=="`) or integer (such as
                          `4`) input value will be accepted as an ID.
                      description: >-
                        An optional list of user IDs to narrow the audience.
                        When provided, only these users receive the
                        notification, provided they are in the targeted
                        experience or company.
                    content:
                      type: string
                      description: >-
                        The main body text of the notification displayed to the
                        user.
                    icon_user_id:
                      type:
                        - string
                        - 'null'
                      description: >-
                        The unique identifier of a user whose profile picture
                        will be used as the notification icon. Defaults to the
                        experience or company avatar when not provided.
                    subtitle:
                      type:
                        - string
                        - 'null'
                      description: >-
                        An optional secondary line of text displayed below the
                        title in the notification.
                    title:
                      type: string
                      description: >-
                        The headline text of the notification, displayed
                        prominently to the user.
                    rest_path:
                      type:
                        - string
                        - 'null'
                      description: >-
                        A path segment appended to the generated deep link that
                        opens your app. Use [restPath] in your app path
                        configuration to read this parameter. For example,
                        '/settings/billing'.
                  required:
                    - content
                    - title
                    - company_id
                  description: Autogenerated input type of SendNotificationV2
                  title: SendNotificationV2InputWithCompanyId
                - type: object
                  properties:
                    experience_id:
                      type: string
                      description: >-
                        The unique identifier of the experience to target. All
                        users with access to this experience will receive the
                        notification. Clicking the notification opens the
                        experience view.
                      example: exp_xxxxxxxxxxxxxx
                    user_ids:
                      type:
                        - array
                        - 'null'
                      items:
                        type: string
                        description: >-
                          Represents a unique identifier that is Base64
                          obfuscated. It is often used to refetch an object or
                          as key for a cache. The ID type appears in a JSON
                          response as a String; however, it is not intended to
                          be human-readable. When expected as an input type, any
                          string (such as `"VXNlci0xMA=="`) or integer (such as
                          `4`) input value will be accepted as an ID.
                      description: >-
                        An optional list of user IDs to narrow the audience.
                        When provided, only these users receive the
                        notification, provided they are in the targeted
                        experience or company.
                    content:
                      type: string
                      description: >-
                        The main body text of the notification displayed to the
                        user.
                    icon_user_id:
                      type:
                        - string
                        - 'null'
                      description: >-
                        The unique identifier of a user whose profile picture
                        will be used as the notification icon. Defaults to the
                        experience or company avatar when not provided.
                    subtitle:
                      type:
                        - string
                        - 'null'
                      description: >-
                        An optional secondary line of text displayed below the
                        title in the notification.
                    title:
                      type: string
                      description: >-
                        The headline text of the notification, displayed
                        prominently to the user.
                    rest_path:
                      type:
                        - string
                        - 'null'
                      description: >-
                        A path segment appended to the generated deep link that
                        opens your app. Use [restPath] in your app path
                        configuration to read this parameter. For example,
                        '/settings/billing'.
                  required:
                    - content
                    - title
                    - experience_id
                  description: Autogenerated input type of SendNotificationV2
                  title: SendNotificationV2InputWithExperienceId
              type: object
              description: Parameters for SendNotificationV2
      responses:
        '200':
          description: A successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    description: >-
                      Whether the notification was successfully queued for
                      delivery
                required:
                  - success
                description: Response from queuing a notification
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                      code:
                        type:
                          - string
                          - 'null'
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                      param:
                        type:
                          - string
                          - 'null'
                        description: The parameter that caused the error, if applicable
                    required:
                      - type
                      - message
                required:
                  - error
              example:
                error:
                  type: invalid_request_error
                  code: parameter_missing
                  message: 'Missing required parameter: amount.'
                  param: amount
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                      code:
                        type:
                          - string
                          - 'null'
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                      param:
                        type:
                          - string
                          - 'null'
                        description: The parameter that caused the error, if applicable
                    required:
                      - type
                      - message
                required:
                  - error
              example:
                error:
                  type: unauthorized
                  message: Invalid or missing API key
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                      code:
                        type:
                          - string
                          - 'null'
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                      param:
                        type:
                          - string
                          - 'null'
                        description: The parameter that caused the error, if applicable
                    required:
                      - type
                      - message
                required:
                  - error
              example:
                error:
                  type: forbidden
                  message: You do not have permission to access this resource
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                      code:
                        type:
                          - string
                          - 'null'
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                      param:
                        type:
                          - string
                          - 'null'
                        description: The parameter that caused the error, if applicable
                    required:
                      - type
                      - message
                required:
                  - error
              example:
                error:
                  type: not_found
                  message: Resource not found
        '422':
          description: Verification required
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                      code:
                        type:
                          - string
                          - 'null'
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                      param:
                        type:
                          - string
                          - 'null'
                        description: The parameter that caused the error, if applicable
                    required:
                      - type
                      - message
                required:
                  - error
              example:
                error: null
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                      code:
                        type:
                          - string
                          - 'null'
                        description: >-
                          A short string indicating the specific error code,
                          e.g. 'parameter_missing', 'parameter_invalid',
                          'invalid_json'
                      param:
                        type:
                          - string
                          - 'null'
                        description: The parameter that caused the error, if applicable
                    required:
                      - type
                      - message
                required:
                  - error
              example:
                error:
                  type: internal_server_error
                  message: An unexpected error occurred
      security:
        - bearerAuth:
            - notification:create
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Whop from '@whop/sdk';

            const client = new Whop({
              apiKey: process.env['WHOP_API_KEY'], // This is the default and can be omitted
            });

            const notification = await client.notifications.create({
              company_id: 'biz_xxxxxxxxxxxxxx',
              content: 'content',
              title: 'title',
            });

            console.log(notification.success);
        - lang: Python
          source: |-
            import os
            from whop_sdk import Whop

            client = Whop(
                api_key=os.environ.get("WHOP_API_KEY"),  # This is the default and can be omitted
            )
            notification = client.notifications.create(
                company_id="biz_xxxxxxxxxxxxxx",
                content="content",
                title="title",
            )
            print(notification.success)
        - lang: Ruby
          source: >-
            require "whop_sdk"


            whop = WhopSDK::Client.new(api_key: "My API Key")


            notification = whop.notifications.create(body: {company_id:
            "biz_xxxxxxxxxxxxxx", content: "content", title: "title"})


            puts(notification)
components:
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        A company API key, company scoped JWT, app API key, or user OAuth token.
        You must prepend your key/token with the word 'Bearer', which will look
        like `Bearer ***************************`
      scheme: bearer
      bearerFormat: auth-scheme

````